### Method

# Qmi MessageGasDmsSetActiveFirmwareInput ref

since: 1.24

#### Declaration [src]

    QmiMessageGasDmsSetActiveFirmwareInput*
    qmi_message_gas_dms_set_active_firmware_input_ref (
      QmiMessageGasDmsSetActiveFirmwareInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.24

#### Return value

Type: `QmiMessageGasDmsSetActiveFirmwareInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.